Aha! CAD Converter

Acme CAD Converter

Acme CAD Converter is a format conversion software for batch and vector files. It can conveniently convert DXF and DWG files into BMP, GIF,JPEG, DXF, DWG, SVG,PDF,HPGL etc., and also enable the conversion between DXF and DWG file versions (AutoCAD R2.5-R2002).

What can CAD Converter do for you:

1. When you need to convert DXF and DWG files into BMP,GIF,JPEG,SVG,PDF,HPGL(PLT,HGL) file;

2. When you need to modify the versions (R2.5-R2002) of DXF and DWG files;

3. When you have a large number of files needing to be converted;

4. When the size of DWG file is too big but you want to open it quickly, you can firstly export BMP file and then print it.

5. When you are not satisfied with the effects of raster file printed out by CAD software;

You will find that CAD Converter can help you.

Characteristics:

1. Open various DXF and DWG versions (R2.5-R2002);

2. Identify literal fonts and entity color correctly;

3. Support batched conversion of multiple files;

4. Select the printout of color or monochrome raster file; set background color freely;

5. Print out raster mask file; be used as image channel (used in Photoshop etc.);

6. Set the size of raster file to be printed out freely;

7. Register once and upgrade free permanently.

8. Support full-screen mode ( press F ).

9. Support printing.

10. Command line parameters (Developer)

  • Menu

  • Shortcut key

  • Set the search path for Font

  • Save as raster bitmap file

  • PDF Export tool (new)

  • Three-dimensional dynamic observation

  • Print (new)

  • Command line parameters (new)

  • System requirements

  • Technology Support

  • How to purchase Acme CAD Converter software

  • Software registration


Menu

File Menu

Open ... | Open an existing dwg or dxf file.
Save as ... | Save file in vector format.
Save as bitmap ... | Save file in raster format.
Print | Print drawing to ploter,printer or file.
Export / PDF Export tool | Convert ane or more DWG/DXF files into ane PDF file.
Batch Transform ... | Processes multiple images (Open the Batch Transform dialog box).
Close | Close current window.
Exit | Quit Acme CAD Converter

View Menu

Regen | Regenrates and Refits currently visible drawing geometry to page.
Color | Change display color.
Zoom Previous | Zoom to Previous view.
Zoom in | Zoom In.
Zoom out | Zoom Out
Zoom Window | Zooms to an area specified by a rectangle.
Zoom Extents | Zooms to the extents of the drawing.
3D Views | Select view point...
3D dynamic view | Defines a parallel projection or perspective view.
Ucs Icon | Turn ON/OFF Ucs icon.
Pan | Moves the drawing display with cursor movement.
Full Screen | Switch full screen mode.

Option

Set background color... | Set background(page) color.
Set SHX directory | Set SHX font directory.
Create Association | Create associated with DWG & DXF file

Format

Layer... | Set layer properties.
Linetype... | Creates,loads and sets linetype.
Point style... | Set display size & style of point.

Window

Tile Vectical | Tile windows vectical.
Tile Horizontal | Tile windows horizontal.
Cascade | Cascade the windows.

Help

Index | Display Acme CAD Converter online help.
Buy now | If you want to buy our software, click this menu to order it online. Then you will get your register code of the software.
Register | Click this menu , register dialog box will appear . You need to input customer name and register code to register this software. One register code has only one computer. Please refer to how to get register code.
About | About Acme CAD Converter.


The shortcut key in the software
Key | Function
O | Open
S | Save
B | Save as to bitmap.
T | Print
E | Zoom ext
R | Regen
P | Pan
W | Zoom window
Left | Pan left
Right | Pan right
Down | Pan down
Up | Pan up
+ | Zoom in
- | Zoom out
F | Full screen


Set the search path for Font

If your computer has been installed with AutoCAD, the Acme CAD Converter can automatically search for relevant font file in AutoCAD.

If you yourself want to specify a new path for font file, you can use the dialogue box for setting the path of font file to add the path you needed.


DWG / DXF Save as raster bitmap file

Save as raster bitmap file

You can save vector graph as raster format file (BMP, GIF,JPEG).

Acme CAD Converter can save the graphic area displayed on the screen to a raster file, and the color of the raster file is consistent with that displayed on the screen. The dialog box of “Save to raster file” offers the following options:

1．Format of raster file

Acme CAD Converter supports two raster file formats, namely, Bitmap ,GIF and Jpeg formats. Users can select the file format by selecting file type.

2．Width and height

Specify the width and height of a raster image, using pixel as their unit. When users modify the width or the height, the size of the raster file will display in real time in the dialog box, and this size is only for the Bitmap file, as the size of Jpeg file can not be displayed due to its relevance to compression options and images.

Users can click “Window width” to set the width and height in the same dimensions as those of the window displaying the current image.

3．Jpeg quality

Users can choose the image quality of Jpeg file. The higher the quality, the higher the compression ratio and the smaller the file. The lower the quality, the lower the compression ratio and the bigger the file.

4．Constrain proportion

If users chose to constrain proportion and when they modify one parameter, the width or the height, the other parameter will be modified accordingly so as to maintain the consistency of width-height ratio.

5．Include Mask file

If users chose to “include Mask file”, Acme CAD Converter will export Mask file at the same time when raster file is exported. The name of this mask file is realized by adding a suffix of“_mask”after the raster filename. When raster filename is “demo.bmp”, the name of the mask file will be “demo_mask.bmp”.

Save the layout to raster file

AcmeCADConverter can save the graphic area displayed in the current layout to a raster file, and the color of the raster file is consistent with that displayed on the screen. The options in the dialog box of “Save the layout to raster file” have the same meaning as those in the dialog box of “Save to raster file”.

Batch conversion

Users can select the function of batch conversion to enable batch conversion of CAD files. Such conversion can be done not only between different versions and from DXF to DWG, but also to raster image as well. All the functions are realized in the dialog box of “Batch conversion”, which includes the following options:

1．Target file format

Users can choose the following file formats: DWG and DXF formats from AutoCAD Version 13.0 to Version 2000, as well as bitmap formats including Bitmap and Jpeg.

When you converting into Scalable vector graphics(*.svg) and HP-GL/2(*.plt,*.hgl) formats, the width and height also determine the precision of the converting result, so we suggest you set them enouth large, such as 10000, or more larger.

2．Raster file options

The options in raster file, including width, height, Jpeg file quality and whether to include Mask file, have the same meaning as those corresponding options in the dialog box of “Save to raster file”, and the meaning of the additional two options is as follows:

The option of Color indicates the color of the raster file, where users can choose monochromatic image, grayscale image and 256-color image.

The option of Auto Zoom to Extend indicates that the image will be zoomed out to extend and then converted to a raster image, otherwise it only converts the last view saved in the DWG file.

Note: When the option of include mask bitmap is checked, the mask file of the graph will be printed out, and the format of the file will be BMP. Its naming rules are:

If the name of the printed file is | demo.bmp,
Then the name of the mask file will be: | demo-mask.bmp

Mask file is mainly used as the selection set of graph in other raster editing software (such as Photoshop).

>>You can also set width or height parameter to 0, but in this case you must set "Zoom extend", or you will get error. The width or height will be calculated by AcmeCADConverter depending on the proportion between the width and height. When you want to get the raster file which just filled the all content, this option will meet your demand.


Export to SVG or HPGL (PLT)

PDF Export Tool

AcmeCADConverter can covert one or more DWG/DXF files into one PDF file.

note:

PDF 1 unit = 1/72 inch.


Export to SVG or HPGL (PLT)

Export SVG or HPGL (PLT)

AcmeCADConverter can export two vector format including Scalable vector graphics(*.svg) and HP-GL/2(*.plt , *.hgl).
The width and height also determine the precision of the converting result, so we suggest you set them enouth large, such as larger than 10000, or more larger.
You can also set width or height parameter to 0, but in this case you must set "Zoom extend", or you will get error. The width or height will be calculated by AcmeCADConverter depending on the proportion between the width and height.

note

HP_GL 1 unit=1/42 mm.


Three-dimensional dynamic observation

Users can control the view of a three-dimensional object by clicking and dragging the mouse. Three-dimensional dynamic viewer view displays a rotating disk (a big circle that is divided into four equal parts by smaller circles). When dragging the mouse, the view point will rotate around the object point (namely the center of the rotating disk), and by this way the observation direction of the three-dimensional view can be adjusted in real time.

When moving the cursor between different parts of the rotating disk, the shape of the cursor will be changed to reflect the rotation direction of the view. Different shapes of the cursor have different meanings:

- Spherical cursor encircled by two straight lines

When moving the cursor in the rotating disk, the shape of the cursor changes to a small spherical cursor encircled by two lines. When clicking and dragging the cursor in the drawing area, the object can be moved freely. The effect is just like that the cursor is grasping the spheroid that encircles the object, and dragging the area around the object point. This method enables to drag the object point horizontally, vertically or diagonally.

- Round arrow

When dragging the cursor from outside of the rotating disk, the shape of the cursor changes to a round arrow. Clicking and dragging the cursor from outside of the rotating disk will make the view rotate around the extension line through the axis that is perpendicular to the screen and that passes through the center of the rotating disk. This operation is called “scrolling”.

When dragging the cursor into the rotating disk, the cursor will be changed to a spheroid that is encircled by two lines, and the view can be moved freely. When moving the cursor to the outside of the rotating disk, it will return to the state of scrolling.

- Horizontal ellipse

When moving the cursor on the small circles in the right and left sides of the rotating disk, the shape of the cursor changes to a horizontal ellipse. Clicking and dragging the cursor from these points will make the view rotate around the vertical axis (X axis) that passes through the center of the rotating disk.

- Vertical ellipse

When moving the cursor on the small circles in the upper and lower sides of the rotating disk, the shape of the cursor changes to a vertical ellipse. Clicking and dragging the cursor from these points will make the view rotate around the horizontal axis (Y axis) that passes through the center of the rotating disk.

When users did not click and drag the cursor to change the view, they can still click the middle button of the mouse and drag the cursor to move the view horizontally, or scroll the vertical roller to zoom out or zoom in the view. Besides, they can also click the right button of the mouse and select to exit the three-dimensional dynamic view or select a predefined view, such as top view, left elevation, SW isometric, etc.

Users can exit the three-dimensional dynamic view by pressing the “ESC” or “Enter” key.


Print

Acme CAD Converter supports plot devices using Windows system printer drivers.

Options in Print dialog box:

1. PRN device

Acme CADConverter uses the printer in the current system. Users can use the default printer configuration in the current system, or modify the configuration. Modification to printer configuration is done in the printer configuration dialog box of the operating system, and different printer may have different dialog box.

In Acme CAD Converter, modification to printer configuration is only valid in Acme CAD Converter, i.e., the modified configuration becomes invalid when you exit from Acme CAD Converter.

2．Pen-width setup

Users can modify pen-width of all color numbers in the pen-width setup dialog box, and each pen with a color number corresponds to different width. Pen-width actually refers to the width of a line with different color.

As pen-width data is saved in the registration table, the setup of pen-width by users is valid for all future printing.

3．Print area

It specifies the rectangular plot area to be printed and includes three options: display, layout and window.

- Display

Print the area displayed on the current screen.

- Layout

Print the area specified by the currently checked layout.

- Window

Print any rectangular area of the graphics. If the area is completely visible on the screen, then after clicking the button of“Window Pick…”, users can specify the window directly on a screen by pointing device.

4．Raster graphics export

Users can export the print results to a raster file instead of a printer. Users can choose to export in Bitmap or JPEG format. The exported filename can be specified by clicking the button of“filename…”. Note: When the size of the drawing and/or the resolution ratio is too big, the exported raster file will be very big, sometimes up to tens of mega.

5．Print color

Users can choose print colors and they have three options: monochrome (namely, all in black), grayscale and 256 colors. When users choose to print in monochrome, all the lines will be printed in black, regardless of their original colors. Grayscale printing means to print after all the colors are converted to the corresponding gray. Only 256-color printing prints the lines according to their original colors.

No matter in which color the users chose to print, it will not affect the pen-width setup of that color, that is to say, the pen-width of each color number will be printed out according to its original value. For instance, the pen-width of No. 5 Color (blue) is set as 0.5mm, although it will be printed black in monochrome printing, the width of the line is still printed according to the value of 0.5mm instead of the pen-width of the black color.

6．Drawing dimensions

The setup of drawing dimensions is actually specified in the setup dialog box of PRN device, it only displays here. Users can choose to display them in inch or millimeter. The display unit here chosen by users is also valid to the following setup, namely, the setup unit of percentage and skewing is subject to the unit chosen here.

7．Print ratio, rotation and origin

Users can change the ratio, orientation and origin to be printed.

- Print ratio

Users can set the ratio to be printed. Users can specify the print ratio by setting different numbers of print units and drawing units, i.e., modify the number corresponding to“print inch = graphic unit”or“print millimeter = graphic unit”to change the print ratio.

If the exact print ratio is to be specified, please determine the number of graphic units to be printed per millimeter or per inch in the drawing. Then enter the number of drawing units in the left edit box, and the number of graphic units in the right edit box.

Users can choose“Scale to Fit”, so that the printed part can fill the specified drawing dimensions as fully as possible. When“Scale to Fit”is checked, the actual ratio used to fill will be displayed in the edit box. Any modification to the items affecting this ratio will cause AcmeCADConverter to update the ratio accordingly.

- Print orientation (rotation)

Users can choose print orientation, i.e., users can rotate the area to be printed before exporting it to a printer. The degrees of rotation include 0 degree, 90 degrees, 180 degrees and 270 degrees, and the rotation is counterclockwise.

- Print origin (namely print offset)

The print origin of AcmeCADConverter is in the upper left corner. Entering offsetvalue in“XOffset”and“Y Offset”can modify print origin, and the offset value can be negative. Note: The positive direction on X axis is eastward, while that on the Y axis is downward.

Users can choose “Center print”, so as to have the print area placed in the center of the drawing as much as possible. When “Center print” is checked, the edit box will display the offset value of the origin that moves the print area to the center. Any modification to the items that affect the offset value will cause AcmeCADConverter to update the offset value accordingly.

8．Preview

It displays the appearance of the graphics on the screen in a way as if they were printed on a piece of paper.

While displaying the preview image, the cursor changes to be a magnifier with the symbols of plus (+) and minus (-). Drag the cursor towards the top of the screen will zoom in the preview image, and drag the cursor towards the bottom of the screen will zoom out the preview image.

Clicking the right button can access to the pop-up menu that offers other preview options, which include:

- Pan:

Display a hand cursor, which can be used to move the preview image horizontally. Press down the right button of the mouse and drag the cursor in any direction to move the preview image.

- Zoom

Display a magnifier with the symbols of plus (+) and minus (-).Drag the cursor towards the top of the screen will zoom out the preview image, and drag the cursor towards the bottom of the screen will zoom in the preview image.

- Zoom fit

Allow the preview image to fill the screen as fully as possible.

- Exit

Exit from “Print preview”.


Description of command line parameters

Command line format

AcmeCadConverter [/r] [/e] [/m] [/l filaname] [/p integer] [/w integer] [/h integer] [/b integer] [/j integer] [/f integer] [filename] [filename] ...

Acme CADConverter command line meaning:
/r | mmediately convert dwg or dxf file into raster file, and exit after the conversion is completed. If there was not such a parameter, Acme CadConverter can open this file in a simple way.
/e | Auto zoom extend.
/m | include mask raster file
/l filename generate conversion report in the filename of a file, if there was no such a parameter, then report file can not be generated.

Note!! This parameter must be specified after /r parameter, otherwise it will be invalid.

/p integer | indicate the raster pixel format, [1 -- 1_bit format, 2 -- gray format, 3 -- 256 colors], default is 3--256 colors
/w integer | Raster width, default is 800.
/h integer | indicate the raster height, default is 600.
/b integer | indicate background color index, [0-black, 1-red, 2-yellow, 3-green, 4-aqua, 5-blue, 6-Magenta, 7-White, 8-Dark Gray], the other colors please refer to the set color dialog. Default is 7-white
/j integer | indicate the jpeg quality, 1-lower, 10-highest, default is 10
/i | When you set this parameter and when you open the file and unable to find the “shx file”, it will no longer prompt the user, instead the name of such file will be written to a report file (if a report file needs to be so generated).
/f integer | raster file format, [1 -- bitmap format, 2 -- Jpeg format, 3 -- GIF format, 101 -- SVG format , 102 -- HPGL *.PLT format , 103 -- HPGL *.HGL format ], 104 -- PDF format, 105 -- convert more drawing files into one PDF file, default is 1--Bitmap.
/d | PDF filename : The PDF filename when convert more drawing files into one PDF file

Note

1. Files in front of /r parameter can be opened simply, only those after /r parameter can be converted instantly.

2. No need to assign a name to raster file, because Acme CadConverter will generate the name automatically according to the format of the raster file (to be specified by /f parameter）, such as a.dwg -> a.bmp, or a.dwg -> a.gif.

3. Raster file and DWG file are in the same directory.

4. Parameter /l for generating report file must be specified immediately after the conversion of parameter /r, otherwise it will be invalid.

5. Format and meaning of the report file

6. When you convert more drawing files into one PDF file, you can't set the width or height to 0, and 1 unit of widht or height is 1/72 inch, but CADConverter will increase 30 units because the page margin is 15 units.

a. Each line uses an integer to indicate one conversion report;

b. Meaning of the integer:

0 --> Conversion successful

1 --> Memory insufficient

2 --> Drawing failed

3 --> File open failed

4 --> Invalid file

T ransform ** UNIT **

HPGL : 1 unit = 1/42 mm

PDF: 1 unit = 1/72 inch

Meaning of command line parameters during version conversion

Format | AcmeCadConverter [/g[version]] [/x[version]] srcfile destfile
/g | Indicates conversion to DWG file
/x | Indicates conversion to DXF file
Numerical value and meaning of version (specially for AutoCAD):

25 -> Version 2.5

26 -> Version 2.6

9 -> Version 9

10 -> Version 10

11 -> Version 11

12 -> Version 12

13 -> Version 13

14 -> Version 14

2000 -> Version 2000

If there is no version parameter, the default one should be Version 2000.

Explanation
After the conversion is done, close this program immediately. /g or /x parameter must be placed in front of the filename, and the sequence of source file and object file can’t be reversed. Only one file can be converted at a time, but the same parameter can be used repeatedly to convert multiple files, please refer to the following example for details. Conversion of this version also supports log function, and the application method is identical with the above. Note: -/r parameter must also be added in front of /l parameter, and this /r parameter will not affect the subsequent function of version conversion. Please refer to the above for the meaning of log file.
Example

1. AcmeCadConverter /g14 a.dwg a14.dwg

Convert a.dwg to a14.dwg, a DWG file in Version 14.0.

2. AcmeCadConverter /x10 a.dwg a10.dxf

Convert a.dwg to a10.dxf, a DXF file in Version 10.0.

3. AcmeCadConverter /x a.dxf a2000.dxf

Convert a.dxf to a2000.dxf, a DXF file in Version 2000.

4. AcmeCadConverter /r /l Convert.log /x10 a.dwg a10.dxf /g14 b.dxf b14.dwg /g10 c.dwg c10.dwg /x d.dxf d2000.dxf

Conversion of multiple files shall be done according to the sequence as shown in the following example, and at the same time, the conversion result should be recorded in convert.log file:

1) Convert a.dwg to a10.dxf, a DXF file in Version 10.0.

2) Convert b.dxf to b14.dwg, a DWG file in Version 14.0.

3) Convert c.dwg to c10.dwg, a DWG file in Version 10.0.

4) Convert d.dxf to d2000.dxf, a DXF file in Version 2000.

5.convert more drawing files into one PDF file new

AcmeCadConverter /r /e /w 792 /h 612 /f 105 /d demo.PDF campus.dwg cirarc.dwg jyy.DWG

 The example command line will convert the three dwg files: campus.dwg, cirarc.dwg and jyy.dwg into one PDF file: demo.pdf, the PDF page size is approximate 11x8.5 inch.


System requirements

To run Acme CAD Converter, you need the following:

Hardware

  • Pentium 133 PC or better

  • 32MB of RAM

  • 800 x 600 VGA video display with 256 colors (1024 x 768 or higher recommended)

  • 50 MB free hard disk space

  • Pointing device

Software

  1. Windows NT Version 4.0 Service Pack 3, Windows 95 Internet Explorer 4.0, Windows 98, or Windows 2000

  2. Windows-supported display driver


Technology Support

How to get latest version Acme CAD Converter

We will update the Acme CAD Converter version at any period. If you download no latest version, you can access into our web http://www.freefirestudio.com or our proxy http://www.qwerks.com to download the newest version software.

Download now:

http://www.freefirestudio.com/download/AcmeCad.exe

What are you doing when you have some question?

If you have some question, please contact with us via e-mail support@freefirestudio.com. Send your drawing to us, we will give you satisfaction answers.


How to purchase Acme CAD Converter

You can purchase our software in three ways.

1 Order online: click "Buy now" button in the "Registeration" dialog box, you will purchase our software through our proxy (qwerks.com Inc). You will pay it visa credit card.

We support such types of credit card as Visa, MasterCard, American Express, Discover, EuroCard.

2 Through the order phone, call Qwerks at 1.888.282.5887 Monday through Friday, from 9:00 A.M. to 6:00 P.M. MST. You can fax your order at 1.801.497.9456.

3 mailing in cash or check : Just send a check or money order for $39.95 to:

Qwerks.com Inc

1648 West Willow Drive

Kaysville, UT 84037

Be sure to include the words "Acme CAD Converter", your complete name and address, phone number, and E-mail address.

You will receive an email confirming your order shortly after sending the online order form. Then, within 24 hours, you will receive a second email with your registration code to get started!

Suggest you to send your e-mail so that we can make a client register which will help you get more technology support and service after you have been our client. e-mail: support@freefirestudio.com

You can buy Acme CAD Converter through secure on-line payment service provided by ShareIt.
ShareIt currently accepts Visa, MasterCard/Eurocard, American Express and Diner's Club. Alternatively,
ShareIt supports bank transfer /wire transfer, accepts Checks and Money Orders through postal mail.
All credit card data are transmitted using the secure (encrypted) HTTP protocol according to the current SSL
standard. It's absolutely risk-free. If you still do not want to transmit your encrypted credit card number over
ShareIt's secure server connection, you can also send to ShareIt a fax at +49-221-2407278 (Germany) or
call at +49-221-2407279.
The registration process is simple, straightforward, and fast.
Via E-mail you will get a full registered version of the software.

If you would like to purchase a license for Acme CAD Converter, you can order on-line at:

https://secure.element5.com/shareit/checkout.html?productid=174561&language=English

Or you can go to http://www.shareit.com and enter the program ID number 174561 in the search window
at the bottom left of the screen.

We also accept orders via email at: support@shareit.com

If you are not yet on-line, you can place your order with our customer
service team by phone, fax or postal mail.

Please print out the following form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
E-Mail: support@shareit.com

US and Canadian customers may also order by calling toll-free
1-800-903-4152.

US check and cash orders can be sent to our US office at:
ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE
PAYABLE TO: "ShareIt! Inc." ***

Registration Form for Acme CAD Converter

Program-ID : 174561

Last Name: _______________________________________

First Name: _______________________________________

Company: _______________________________________

VAI-ID-No. (if applicable) _______________________________________

Address: _______________________________________

Postal Code and City: _______________________________________

Country: _______________________________________

Phone: _______________________________________

Fax: _______________________________________

E-Mail: _______________________________________

How would you like to receive the registration key/full version?

e-mail - fax - postal mail

How would you like to pay the registration fee:

credit card - wire transfer - check - cash

Credit Card Information (if applicable)

Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________


Software registration

Acme CAD Converter is a shareware. You can try first and then buy it.

Its registration fee is USD39.95 each set.

You can request online registration through Qwerks or ShareIt.

How to register?

Above of all, confirm you have buy the software and have got the registration code.

Please register as follows: Click <Register> in Help menu,a register dialog box will pop-up,Input your registration code,OK !

unregistered version

The unregistered version will restrict the function of file saving.